unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, Menus,
  ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    dlgColor: TColorDialog;
    Image1: TImage;
    lbl1: TLabel;
    mnuColor: TMenuItem;
    mnuThis: TMenuItem;
    Panel1: TPanel;
    popColor: TPopupMenu;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure mnuThisClick(Sender: TObject);
  private
    procedure Setbitmap(bm:TBitmap;col:Tcolor);
    procedure SetAllbitmaps;
  public

  end;

const
  //color bitmap size
  bmW = 10;
  bmH = 10;

var
  Form1: TForm1;
  bmExt   :Tbitmap;
  extCqCall: Tcolor;    // extended cq (cq dx, cq na etc.) color
implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
   bmExt := TBitmap.Create;
   extCqCall := clBlue;
   Image1.Width:= bmW;
   Image1.Height:= bmH;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  SetAllbitmaps;
end;

procedure TForm1.SetAllbitmaps;
begin
  Setbitmap(bmExt, extCqCall);
  mnuThis.Bitmap := bmExt;
  Image1.Picture.Bitmap:= bmExt;
end;

procedure TForm1.mnuThisClick(Sender: TObject);
begin
  dlgColor.Color := extCqCall;
  dlgColor.Title := 'Extended CQ (DX, NA, SA ...) - color';
  if dlgColor.Execute then
   Begin
    extCqCall := (dlgColor.Color);
    SetAllbitmaps;
   end;
end;

procedure TForm1.Setbitmap(bm: TBitmap; col: Tcolor);
begin
 with bm do
  Begin
   Width  := bmW;
   Height := bmH;
    with Canvas do
     Begin
        Brush.Style := bsSolid;
        Brush.Color := Col;
        FillRect(0,0,bmW,bmH);
     end;
  end;
end;



end.

